Bug 247235

Summary: hard disk shortcut (.desktop file) doesn't work properly
Product: konqueror Reporter: Piotr Mitas <yabolus>
Component: generalAssignee: Konqueror Developers <konq-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: adaptee
Priority: NOR    
Version: 4.4.5   
Target Milestone: ---   
Platform: Gentoo Packages   
OS: Linux   
Latest Commit: Version Fixed In: 4.9.2

Description Piotr Mitas 2010-08-10 13:33:35 UTC
Version:           4.4.5 (using KDE 4.4.5) 
OS:                Linux

I have the following line in fstab:

LABEL="Magazyn" /mnt/magazyn ntfs-3g noauto,users,exec 0 0

and I created a desktop shortcut for it:


[Desktop Entry]
Dev=LABEL="Magazyn"
Icon=drive-harddisk
MountPoint=/mnt/magazyn
ReadOnly=false
Type=FSDevice
UnmountIcon=drive-harddisk

When I double-click it first time, the device gets mounted and nothing happens. When I double-click it again, an error pops up saying it can't mount the device and received the error message: "mount: only root can do that".

Reproducible: Always
Comment 1 Jekyll Wu 2012-01-08 11:26:32 UTC
I can reproduce this using KDE SC 4.8 RC2.
Comment 2 Dawit Alemayehu 2012-09-16 13:35:40 UTC
Git commit b856e9b9e94a96ab396662db7a503280fa267dc3 by Dawit Alemayehu.
Committed on 14/09/2012 at 18:19.
Pushed by adawit into branch 'KDE/4.9'.

Fixed hard disk shortcuts not launching the mounted partition in a file manager when the
mounting is done through a LABEL or a UUID.
FIXED-IN: 4.9.2
REVIEW: 106446

M  +16   -5    kio/kio/kautomount.cpp

http://commits.kde.org/kdelibs/b856e9b9e94a96ab396662db7a503280fa267dc3